Raw vault equity snapshots (~hourly)
curl --request GET \
--url https://api.hypedexer.com/vaults/equitySnapshots \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/vaults/equitySnapshots"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/vaults/equitySnapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"time": 1789801006084,
"totalDeposits": 49837463.237452,
"accountValue": 48617690.985079,
"totalNotional": 0,
"totalRawPnl": -1219772.252373,
"nPositions": 0,
"followerCount": 93441
},
{
"time": 1789800288577,
"totalDeposits": 49837463.237452,
"accountValue": 48617614.694756,
"totalNotional": 0,
"totalRawPnl": -1219848.542696,
"nPositions": 0,
"followerCount": 93441
}
]Vaults
Raw vault equity snapshots (~hourly)
Raw vault equity snapshots, about one per hour.
GET
/
vaults
/
equitySnapshots
Raw vault equity snapshots (~hourly)
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Query Parameters
Vault address (0x…)
Epoch milliseconds
Epoch milliseconds
Required range:
1 <= x <= 5000Response
200 - application/json
OK